package com.fjhx.flow.core;

import com.alibaba.fastjson.JSONObject;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

@Getter
@Setter
public class FlowThreadLocalData {

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 当前节点提交参数
     */
    private JSONObject currentData;

    /**
     * 发起流程提交参数
     */
    private JSONObject startData;

    /**
     * 模板配置参数
     */
    private Map<String, Object> templateData;

}
